package com.mortals.xhx.module.site.model;

import java.util.List;
import com.mortals.xhx.module.site.model.SiteThemeEntity;
/**
* 主题查询对象
*
* @author zxfei
* @date 2022-11-23
*/
public class SiteThemeQuery extends SiteThemeEntity {
    /** 开始 id号 */
    private Long idStart;

    /** 结束 id号 */
    private Long idEnd;

    /** 增加 id号 */
    private Long idIncrement;

    /** id号列表 */
    private List <Long> idList;

    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 服务类型编号 */
    private List<String> userTypeList;

    /** 主题编号 */
    private List<String> themeCodeList;

    /** 主题名称 */
    private List<String> themeNameList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户id */
    private Long createUserIdStart;

    /** 结束 创建用户id */
    private Long createUserIdEnd;

    /** 增加 创建用户id */
    private Long createUserIdIncrement;

    /** 创建用户id列表 */
    private List <Long> createUserIdList;

    /** 开始 更新时间 */
    private String updatetimeStart;

    /** 结束 更新时间 */
    private String updatetimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<SiteThemeQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<SiteThemeQuery> andConditionList;

    public SiteThemeQuery(){}

    /**
    * 获取 开始 id号
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 id号
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 id号
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 id号
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 id号
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 id号
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 id号
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 id号
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 站点id
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点id
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点id
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点id
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点id
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点id
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点id
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点id
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 服务类型编号
    * @return userTypeList
    */
    public List<String> getUserTypeList(){
        return this.userTypeList;
    }

    /**
    * 设置 服务类型编号
    * @param userTypeList
    */
    public void setUserTypeList(List<String> userTypeList){
        this.userTypeList = userTypeList;
    }
    /**
    * 获取 主题编号
    * @return themeCodeList
    */
    public List<String> getThemeCodeList(){
        return this.themeCodeList;
    }

    /**
    * 设置 主题编号
    * @param themeCodeList
    */
    public void setThemeCodeList(List<String> themeCodeList){
        this.themeCodeList = themeCodeList;
    }
    /**
    * 获取 主题名称
    * @return themeNameList
    */
    public List<String> getThemeNameList(){
        return this.themeNameList;
    }

    /**
    * 设置 主题名称
    * @param themeNameList
    */
    public void setThemeNameList(List<String> themeNameList){
        this.themeNameList = themeNameList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户id
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户id
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户id
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户id
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户id
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户id
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户id
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户id
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 更新时间
    * @return updatetimeStart
    */
    public String getUpdatetimeStart(){
        return this.updatetimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updatetimeStart
    */
    public void setUpdatetimeStart(String updatetimeStart){
        this.updatetimeStart = updatetimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updatetimeEnd
    */
    public String getUpdatetimeEnd(){
        return this.updatetimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updatetimeEnd
    */
    public void setUpdatetimeEnd(String updatetimeEnd){
        this.updatetimeEnd = updatetimeEnd;
    }

    /**
    * 设置  id号
    * @param id
    */
    public SiteThemeQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 id号
    * @param idStart
    */
    public SiteThemeQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 id号
    * @param idEnd
    */
    public SiteThemeQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 id号
    * @param idIncrement
    */
    public SiteThemeQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 id号
    * @param idList
    */
    public SiteThemeQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  站点id
    * @param siteId
    */
    public SiteThemeQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点id
    * @param siteIdStart
    */
    public SiteThemeQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点id
    * @param siteIdEnd
    */
    public SiteThemeQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点id
    * @param siteIdIncrement
    */
    public SiteThemeQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点id
    * @param siteIdList
    */
    public SiteThemeQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }


	/**
    * 设置 服务类型编号
    * @param userType
    */
    public SiteThemeQuery userType(String userType){
        setUserType(userType);
		return this;
    }

    /**
    * 设置 服务类型编号
    * @param userTypeList
    */
    public SiteThemeQuery userTypeList(List<String> userTypeList){
        this.userTypeList = userTypeList;
		return this;
    }


	/**
    * 设置 主题编号
    * @param themeCode
    */
    public SiteThemeQuery themeCode(String themeCode){
        setThemeCode(themeCode);
		return this;
    }

    /**
    * 设置 主题编号
    * @param themeCodeList
    */
    public SiteThemeQuery themeCodeList(List<String> themeCodeList){
        this.themeCodeList = themeCodeList;
		return this;
    }


	/**
    * 设置 主题名称
    * @param themeName
    */
    public SiteThemeQuery themeName(String themeName){
        setThemeName(themeName);
		return this;
    }

    /**
    * 设置 主题名称
    * @param themeNameList
    */
    public SiteThemeQuery themeNameList(List<String> themeNameList){
        this.themeNameList = themeNameList;
		return this;
    }


    /**
    * 设置  创建用户id
    * @param createUserId
    */
    public SiteThemeQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户id
    * @param createUserIdStart
    */
    public SiteThemeQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户id
    * @param createUserIdEnd
    */
    public SiteThemeQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户id
    * @param createUserIdIncrement
    */
    public SiteThemeQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户id
    * @param createUserIdList
    */
    public SiteThemeQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<SiteThemeQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<SiteThemeQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<SiteThemeQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<SiteThemeQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}